Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class PersonHistoryRequest

    java.lang.Object
      be.fgov.ehealth.commons._1_0.protocol.RequestType
          be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType
              be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryRequest

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PersonHistoryAddressRequest, PersonHistoryBirthRequest, PersonHistoryCivilStateRequest, PersonHistoryDeceaseRequest, PersonHistoryFamilyCompositionRequest, PersonHistoryGenderRequest, PersonHistoryNameRequest, PersonHistoryNationalityRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class PersonHistoryRequest

extends ConsultRnRequestType
implements Serializable

Java class for PersonHistoryRequest complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonHistoryRequest">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}ConsultRnRequestType">
           <sequence>
             <sequence>
               <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PersonHistoryRequest()`

Method Summary
`String` | `getSSIN()` Gets the value of the ssin property.
`void` | `setSSIN(String value)` Sets the value of the ssin property.

Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType
`getApplicationID, getOrganisation, setApplicationID, setOrganisation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersonHistoryRequest

    public PersonHistoryRequest()

Method Detail

### getSSIN

    public String getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSSIN

    public void setSSIN(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.